| Irrlicht 3D Engine |

Public Member Functions
irr::scene::SVertexTCoordsScaleManipulator Class Reference

Vertex manipulator which scales the TCoords of the vertex. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexTCoordsScaleManipulator:

List of all members.

## Public Member Functions

- SVertexTCoordsScaleManipulator (const core::vector2df &factor, u32 uvSet=1)
- void operator() (video::S3DVertex2TCoords &vertex) const
- template<typename VType > void operator() (VType &vertex) const

## Detailed Description

Vertex manipulator which scales the TCoords of the vertex.

Definition at line 266 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

irr::scene::SVertexTCoordsScaleManipulator::SVertexTCoordsScaleManipulator | ( | const core::vector2df & | factor,
|  | u32 | uvSet = `1`
| ) |  | `[inline]`

Definition at line 269 of file SVertexManipulator.h.

## Member Function Documentation

void irr::scene::SVertexTCoordsScaleManipulator::operator() | ( | video::S3DVertex2TCoords & | vertex | ) | const`[inline]`

Definition at line 270 of file SVertexManipulator.h.

References irr::video::S3DVertex::TCoords, and irr::video::S3DVertex2TCoords::TCoords2.

template<typename VType >

void irr::scene::SVertexTCoordsScaleManipulator::operator() | ( | VType & | vertex | ) | const`[inline]`

Definition at line 278 of file SVertexManipulator.h.

The documentation for this class was generated from the following file:

- SVertexManipulator.h